
# OpenHW Group: development platform for [PlatformIO](https://platformio.org)

OpenHW Group is a not-for-profit, global organization that provides an infrastructure for hosting high quality open-source HW developments in line with industry best practices. The OpenHW CV32E40P RISC-V core is the first open-source core for high-volume chips verified with the state-of-the-art process required for high-integrity, commercial SoCs.

* [Home](https://platformio.org/platforms/openhw) (home page in PlatformIO Registry)
* [Documentation](https://docs.platformio.org/page/platforms/openhw.html) (advanced usage, packages, boards, frameworks, etc.)

# Examples

* [native-asm](https://github.com/platformio/platform-openhw/tree/master/examples/native-asm)
* [native-sort](https://github.com/platformio/platform-openhw/tree/master/examples/native-sort)
* [pulp-runtime-sort](https://github.com/platformio/platform-openhw/tree/master/examples/pulp-runtime-sort)
* [pulp-sdk-asm](https://github.com/platformio/platform-openhw/tree/master/examples/pulp-sdk-asm)
* [pulp-sdk-sort](https://github.com/platformio/platform-openhw/tree/master/examples/pulp-sdk-sort)
